class UsersController < ApplicationController
  before_filter :find_user, :only => [:edit, :update, :show, :destroy]

  def new
    @user = User.new
  end
  
  def create
    @user = User.create!(user_params)
    if @user
      @current_user = @user
      session[:user] = @current_user.id
      flash[:notice] = "Successful registration"
    else
      flash[:notice] = "User name in use"
      render action: :new
    end
    redirect_to :back
  end

  def edit
  end
  
  def update
    User.update(user_params)
    redirect_to :back
  end

  def show
    @sum = 0
    @ans = 0
    @user.tests.each do |t|
      @sum += JSON.parse(t.solution).count if t.solution
      @ans += JSON.parse(t.solution).count(true) if t.solution
    end
  end

  def index
    @users = User.all
  end
  
  def destroy
  end
  
  def forgotten
  end
  
  def send_forgotten
  end

  private
    def find_user
      @user = User.find session[:user]
    end
    
    def user_params
      params.require(:user).permit([:username, :password, :password_confirmation, :birthdate])
    end
end
